Summary:	X.org input driver for Elographics touchscreen devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla ekranów dotykowych Elographics
Name:		xorg-driver-input-elographics
Version:	1.4.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-elographics-%{version}.tar.bz2
# Source0-md5:	b326f94647f4e81004aa15d74a777714
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.2
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Elographics touchscreen devices. E271-2210 and
E271-2200 devices are supported. E281-2310 and compatible devices are
supported with some features unavailable.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla ekranów dotykowych Elographics.
Obsługiwane są urządzenia E271-2210 i E271-2200, natomiast E281-2381 i
kompatybilne są obsługiwane bez niektórych możliwości.

%prep
%setup -q -n xf86-input-elographics-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/elographics_drv.so
%{_mandir}/man4/elographics.4*
%changelog
* Tue Aug 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 5ef73b9
- updated to 1.4.1

* Mon Jul 30 2012 Jakub Bogusz <qboosh@pld-linux.org> baa314b
- updated to 1.4.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0885a37
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ffa90ee
- release 2

* Tue Jun 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 4835406
- updated to 1.3.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 306ddbc
- release 2

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> f57be95
- updated to 1.2.4

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e75245a
- release 3

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d5c9aa7
- release 2

* Tue Oct 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cf58fd
- up to 1.2.3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c72a2d9
- release 2

* Tue Jun 10 2008 Jakub Bogusz <qboosh@pld-linux.org> d061e29
- updated to 1.2.2

* Mon May 26 2008 Jakub Bogusz <qboosh@pld-linux.org> f903bec
- updated to 1.2.1

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 463918e
- updated to 1.2.0

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 27de874
- rebuilding for new xserver

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e1b66eb
- track xserver input deps

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 43af51f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> de540e5
- converted to UTF-8

* Mon Apr 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 31d0a0e
- updated to 1.1.0

* Thu Jan 05 2006 Jakub Bogusz <qboosh@pld-linux.org> bca7e55
- 1.0.0.5 (X11R7.0 release)

